﻿using System.Collections.ObjectModel;
using System.Windows;
using Data;

namespace ConvertWPF.Views
{
    /// <summary>
    ///     Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            DataContext = new MainViewModel();
        }
    }

    public class MainViewModel : NotificationObject
    {
        private ObservableCollection<JournalMainteModel> journalMainteModels = new ObservableCollection<JournalMainteModel>();

        public MainViewModel()
        {
            #region Create sample data

            JournalMainteModels.Add(new JournalMainteModel
            {
                Code = "Code",
                Label = "Label",
                Description = "Description",
                HasErrors = true
            });

            JournalMainteModels.Add(new JournalMainteModel
            {
                Code = "Code 1",
                Label = "Label 1",
                Description = "Description 1",
                HasErrors = true
            });


            var journalMainteModel = new JournalMainteModel
            {
                Code = "Code 2",
                Label = "Label 2",
                Description = "Description 2"
            };

            journalMainteModel.JournalTermModels.Add(new JournalMainteModel
            {
                Code = "Child Code 1",
                Label = "Child Name 1",
                Description = "Child Description 1"
            });

            journalMainteModel.JournalTermModels.Add(new JournalMainteModel
            {
                Code = "Child Code 2",
                Label = "Child Name 2",
                Description = "Child Description 2"
            });

            JournalMainteModels.Add(journalMainteModel);

            #endregion
        }

        public ObservableCollection<JournalMainteModel> JournalMainteModels
        {
            get { return journalMainteModels; }
            set
            {
                journalMainteModels = value;
                RaisePropertyChanged(() => JournalMainteModels);
            }
        }
    }
}